summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2015-09-15 14:37:33 -0700
committerZac Medico <zmedico@gentoo.org>2015-09-15 14:44:55 -0700
commita93daa3e70d77f43db98d5daa8337405a749dca2 (patch)
tree0cf2ffc8acec0ce22ec23ff07543bc7839cd0519 /dev-util/android-tools
parentsys-apps/roccat-tools: version bump (diff)
downloadgentoo-a93daa3e70d77f43db98d5daa8337405a749dca2.tar.gz
gentoo-a93daa3e70d77f43db98d5daa8337405a749dca2.tar.bz2
gentoo-a93daa3e70d77f43db98d5daa8337405a749dca2.zip
dev-util/android-tools: version bump to 5.1.1_p13, fixes bug 552198
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-util/android-tools')
-rw-r--r--dev-util/android-tools/Manifest5
-rw-r--r--dev-util/android-tools/android-tools-5.1.1_p13.ebuild61
2 files changed, 66 insertions, 0 deletions
diff --git a/dev-util/android-tools/Manifest b/dev-util/android-tools/Manifest
index 7a1e58d0d1e..23b4a71041e 100644
--- a/dev-util/android-tools/Manifest
+++ b/dev-util/android-tools/Manifest
@@ -1,3 +1,8 @@
+DIST android-tools-5.1.1_r13-arch.tar.gz 4078 SHA256 3d341733bf2de1d7f0127e59b1578514b7874924ae6c2e3afbaab42c21137d4e SHA512 e38e0d1c966b569defc6df185c0e2b35b3766a7f89bcc3f60cea9b536f37b5b6b76f40457735b509d806c4c5b24f6b3805b51b85ffeb4d04fc14a731f81414c3 WHIRLPOOL 82c62b2567e0d26a686329d0c654b1d3a074f9cb1f73c4b3c0d2d99fbcc4a7b3c1cf158a23b3b8f46d8332dc90fa1990094511c466a457b4ee1ae582ec063f14
+DIST android-tools-5.1.1_r13-core.tar.gz 1210720 SHA256 f62ad7eb61650bc69cafd0810194732a3ba5f42c7443c2dd6f45ae285a3668dd SHA512 2ce2f03193840bd894cb4638bd23a321e53c6185e9816729193714b9e2d068f5ca4ebcee4edc7febaa4ea1ee3621aa6977217a5a84d2f116f35b000969a4af15 WHIRLPOOL 61a5c3c50aa0821fd3dcb8848209a1049e6956196e697e41fb2da80ca2ba7e91bdbc1ad6cac15ec072c006661755412f058cde6f36782a58de1a6e3c50812870
+DIST android-tools-5.1.1_r13-extras.tar.gz 282690 SHA256 35440226e2dd41e91b96f4791fd389d38e98aedd596c09bdb80b9d27bb8fdf82 SHA512 322d45be02d3d5a5bf677e3a38a44085258ee7b9a8c0a7bc08ddb4104168170d5969699ee54e19009a2bd0d7e0ac6ad7971ccc67e2a0311c6f1ba7fb76cfce83 WHIRLPOOL 3b8e0cc2d00a88f9e00a6de8a88fbe6c5374e82929859045602fbd96d5f4cf5e06f257b27b0a8ba1aebde981c6d4fe090c1a75fe737ca514d93f78cb51964752
+DIST android-tools-5.1.1_r13-f2fs-tools.tar.gz 65931 SHA256 46aed56344b6661e1e638994ce57a7010c391356396b28cb207fc77f082c60cd SHA512 66f4be04164df8bb5138105db4e9d5b79c09cd8c28a0d30a6d1e6dead77961614172c96fa680953bf445b934f14b4dbbc21ce89a909d9f278f2eca1ca2e1e656 WHIRLPOOL 5aa59b453c6fa31bb76a5568553ab25376d72a35cb96b97a1e7d956b2901f8467f4c7d56b73046c559fc3714e73acace31649f0929899f4e043ccb998de12fdc
+DIST android-tools-5.1.1_r13-libselinux.tar.gz 49085 SHA256 0950aaa63e22c3d4399142f9795adaee9c0a866b7f037f6b7306642d46327bc2 SHA512 b1a8960b98206118a07f11e7e67429c0d4b8f89c4f65919bcd02a6ba1c7f30e5b73a9431ce8d10fc6ffa6e487b79061b84a969490bf22a49188dc5cd9dd46a2f WHIRLPOOL da4d532bf033aa8bd1f423b596b95e6768b963d65c6fb23f856a07c636882b9584354fd147b04f1393219cc2a45281e440ed6a4f8f5472bd5a39119f81ce9209
DIST android-tools-e89e09dd2b9b42184973e3ade291186a2737bced.patch 1115 SHA256 3bac2ec91d6d53cc7a2bd31f0670ff2e560b15d8722d3961e7b24b2f41cf5932 SHA512 2239e883269dc2cbd9f25dde9159cff8de8525b021ea9e2a243d4553e60c28398cb8e830117cc20e7cfe1b951f2841430e9bc950916d30b0f6c9e6dbd154f6b9 WHIRLPOOL 1bdbb65ebbf94e8c732f4893f090f895d24173928f6cc48b53160595449efc0457130ab67e6be132f77763110fd08e7aeba6701effa27de6fe3c0bdc0d82a8d1
DIST android-tools_4.2.2+git20130218-3ubuntu36.debian.tar.gz 152459 SHA256 1bb63a418dc785277173ce971711a86f66d35d4ca7053cd1ff4afff8001cc7a6 SHA512 8e03fa08433f0cc358855d116926e50f0e6346c29ab3d1a865eb5b0e3be00091d861bd3ac2f3bc236a9028b35bf40988ab8130f566c3aca8c4ccbd7066a317f9 WHIRLPOOL 50c152c32a6d7f505a86faf24d2645053362073608990228eaa88f25e86c54b2a4dcab51f8d52941af493ac68628cf75c2abd320ec7c80a7aa89431277578e6c
DIST android-tools_4.2.2+git20130218.orig.tar.xz 215868 SHA256 9bfba987e1351b12aa983787b9ae4424ab752e9e646d8e93771538dc1e5d932f SHA512 c5bfd3c8e514809db257ba5559c865742768b7520b38aa2f53185aff5c328e5cf7fb328a6ff6450eeddd5056985f232d492eba63a87978440e2147e26d62f458 WHIRLPOOL 0ad784e8524adf1d23958336b73f22fe504074b85c93f17e023a10e57f4e413d8b803c619a0dd7ff495ff8910681d3023932d7a87a008f3e44bacbe6c1fd70a4
diff --git a/dev-util/android-tools/android-tools-5.1.1_p13.ebuild b/dev-util/android-tools/android-tools-5.1.1_p13.ebuild
new file mode 100644
index 00000000000..8c0d4ea45e3
--- /dev/null
+++ b/dev-util/android-tools/android-tools-5.1.1_p13.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit bash-completion-r1 eutils toolchain-funcs
+
+MY_PV="${PV/_p/_r}"
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Android platform tools (adb, fastboot, and mkbootimg)"
+HOMEPAGE="https://android.googlesource.com/platform/system/core.git/"
+# For stable digests, git tarballs generated by android.googlesource.com
+# are fetched from mirror://gentoo/.
+SRC_URI="https://projects.archlinux.org/svntogit/community.git/snapshot/community-caa300cf262afcf5bdb4dcc923dee54e3715fd5c.tar.gz -> ${MY_P}-arch.tar.gz
+https://github.com/android/platform_system_core/archive/android-${MY_PV}.tar.gz -> ${MY_P}-core.tar.gz
+mirror://gentoo/${MY_P}-extras.tar.gz
+mirror://gentoo/${MY_P}-libselinux.tar.gz
+mirror://gentoo/${MY_P}-f2fs-tools.tar.gz"
+
+# The entire source code is Apache-2.0, except for fastboot which is BSD-2.
+LICENSE="Apache-2.0 BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~arm-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="sys-libs/zlib:=
+ dev-libs/openssl:0="
+
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}
+
+src_unpack() {
+ local dir filename
+ for filename in ${A}; do
+ if [[ ${filename} =~ ^${MY_P}-(.*)\.tar\.gz$ ]]; then
+ dir=${BASH_REMATCH[1]}
+ mkdir -p "${dir}" || die
+ pushd "${dir}" >/dev/null
+ unpack "${filename}"
+ popd > /dev/null
+ else
+ die "unrecognized file in \${A}: ${filename}"
+ fi
+ done
+}
+
+src_prepare() {
+ mv core/*/* core/ || die
+ sed -e 's|#include <dlfcn.h>|\0\n#include <stddef.h>\n#include <string.h>\n|' \
+ -i extras/f2fs_utils/f2fs_utils.c || die
+ mv arch/*/trunk/Makefile ./ || die
+ tc-export CC
+}
+
+src_install() {
+ default
+ newbashcomp arch/*/trunk/bash_completion adb
+ bashcomp_alias adb fastboot
+}